chat-detail-page {
  .btn-input {
    background-color: transparent !important;
  }
  .loading-images {
    p {
      color: #49915D;
    }
  }
  ion-footer {
    .bar-input {
      background-color: color($colors, primary) !important;
      input {
        border: 0px;
        padding: 0px 16px !important;
        border-radius: 5px;
        background-color: rgba(255, 255, 255, 0.4);
        color: #fff;
        height: 38px;
        width: 100%;
      }
    }
    .div-emoticons {
      background-color: rgba(255, 255, 255, 0.6);
      .content-emojis {
        height: 200px;
        background-color: #fff;
        overflow-y: scroll;
      }
    }
  }
  .bar-options {
    background-color: #222 !important;
  }
  .chat-details {
    background-image: url('../assets/images/background/bg-2.jpg');
    background-repeat: no-repeat;
    background-size: cover;
  }
  .segment-write {
    color: #fff;
  }
  .toolbar-content {
    ion-title {
      margin-left: -10px !important;
    }
  }
  ion-buttons {
    img {
      border-radius: 50%;
      height: 40px;
      width: 40px;
    }
  }
  scroll-content {
    background-color: rgba(98, 152, 148, .3);
  }
  ion-footer {
    position: fixed;
    ion-row {
      background-color: #FB5353 !important;
      ion-col {
        ion-input {
          background-color: #ffff;
        }
        .button {
          box-shadow: none;
        }
      }
    }
  }
  .btn-happy:active {
    .scroll-content {
      margin-bottom: 270px !important;
    }
  } // styles message
  $userBackgroundColor: #FC5B5B;
  $toUserBackgroundColor: #fff;
  .line-breaker {
    white-space: pre-line;
  }
  .input-wrap {
    ion-textarea {
      position: static;
    }
    padding: 0 5px;
    ion-col.col {
      padding: 0;
    }
    button {
      width: 100%;
      height: 55px;
      font-size: 1.3em;
      margin: 0;
    }
    textarea {
      border-bottom: 1px #387ef5;
      border-style: solid;
    }
  }
  .is-typing {
    padding: 5px 0;
    color: #222;
    font-style: italic;
    font-size: 1em;
    padding-left: 16px;
  }
  .message-wrap {
    padding: 10px 10px;
    height: 100% !important;
    .msg-typing {
      position: relative;
      padding: 5px 0px;
      height: 60px;
      bottom: 0px !important;
      .user-img-typing {
        border-radius: 50%;
        width: 45px;
        height: 45px;
        box-shadow: 0 0 2px rgba(0, 0, 0, 0.36);
        bottom: 5px;
        position: absolute;
        left: 0;
      }
      .msg-detail {
        padding-left: 60px;
        .msg-info {
          p {
            margin: 1px 0px;
            font-size: .8em;
            color: #A4A4A4;
          }
        }
      }
      .msg-content {
        background-color: $toUserBackgroundColor;
        border-radius: 5px;
        width: 20%;
        ion-spinner {
          margin-left: 10px;
          margin-right: 10px;
        }
      }
    }
    .message {
      position: relative;
      padding: 10px 0;
      .user-img {
        border-radius: 50%;
        width: 45px;
        height: 45px;
        box-shadow: 0 0 2px rgba(0, 0, 0, 0.36);
      }
      .msg-detail {
        width: 100%;
        min-height: 60px;
        p {
          margin: 0;
        }
        .msg-info {
          p {
            font-size: .8em;
            color: #888;
          }
        }
        .msg-content {
          position: relative;
          margin-top: 5px;
          background-color: #fff;
          border-radius: 5px;
          padding: 8px;
          border: 1px solid #ddd;
          span.triangle {
            background-color: #fff;
            border-radius: 2px;
            height: 8px;
            width: 8px;
            display: block;
            border-style: solid;
            border-color: #ddd;
            border-width: 1px;
            -webkit-transform: rotate(45deg);
            transform: rotate(45deg);
            position: absolute;
          }
        }
      }
    }
    .message.left {
      padding: 2px 0px;
      .msg-content {
        background-color: $toUserBackgroundColor; // TODO: Solo para presentación
        // max-width: 80%;
        // left: 50px;
        // position: absolute;
        span.triangle {
          border-top-width: 0;
          border-right-width: 0;
          left: -5px;
          top: 12px;
        }
      }
      .msg-detail {
        padding-left: 60px;
        .msg-info {
          ////>--
          text-align: left;
          width: 70%;
        }
      }
      .user-img {
        position: absolute;
        left: 0;
      }
    }
    .message.right {
      padding: 2px 0px;
      .msg-detail {
        padding-right: 60px;
        .msg-info {
          text-align: right;
          width: 70%;
        }
      }
      .user-img {
        position: absolute;
        right: 0;
      }
      ion-spinner {
        position: absolute;
        right: 10px;
        top: 50px;
      }
      .msg-content {
        // TODO: Solo para presentación
        // max-width: 80%;
        // right: 50px;
        // position: absolute;
        text-align: right;
        background-color: $userBackgroundColor;
        color: #fff;
        span.triangle {
          background-color: $userBackgroundColor;
          border-bottom-width: 0;
          border-left-width: 0;
          right: -5px;
          top: 12px;
        }
      }
    }
  }
}
